import hashlib
import time

import requests as requests


def get_timestamp() -> int:
    """
    获取当前时间戳
    :return: 13位时间戳
    """
    return int(time.time() * 1000)


def generate_sign(account: str, password: str, timestamp: int) -> str:
    """
    生成sign值
    :param account: 账号
    :param password: 密码
    :param timestamp: 时间戳
    :return: sign
    """
    value = account + str(timestamp) + md5_encrypt(password)
    return md5_encrypt(value)


def md5_encrypt(value: str) -> str:
    """
    md5加密字符串
    :param value: 加密字符串
    :return: 加密后的字符串
    """
    value_bytes = value.encode('utf-8')
    value_hash = hashlib.md5(value_bytes)
    hash_hex = value_hash.hexdigest()
    return hash_hex


def send(url: str, data: str) -> str:
    """
    发送请求
    :param url: 请求地址
    :param data: 请求参数
    :return:
    """
    # 请求头
    header = {
        "Accept": "application/json",
        "Content-Type": "application/json;charset=utf-8"
    }
    return requests.post(url, headers=header, data=data).text
